import Vue from 'vue';
import VueRouter from 'vue-router';
import store from '@/store/index';
const jwt = require('jsonwebtoken');
const originalPush = VueRouter.prototype.push;
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch((err) => err);
};
Vue.use(VueRouter);
const web = [
  {
    path: '/',
    name: 'index',
    meta: { title: '网站首页' },
    component: () => import('../views/index.vue'),
  },
  // {
  //   path: '/login',
  //   name: 'login',
  //   meta: { title: '登录', key: 'login' },
  //   component: () => import('../views/login.vue'),
  // },
  // {
  //   path: '/register',
  //   name: 'register',
  //   meta: { title: '账户注册', key: 'register' },
  //   component: () => import('../views/register.vue'),
  // },
];
const routes = [...web];
const router = new VueRouter({
  mode: 'history',
  base: process.env.VUE_APP_ROUTER,
  routes,
});
router.beforeEach((to, from, next) => {
  // let openid = 'oFqNO6VHEEwnMB_l1AD3pooBAkHk';
  let openid = to.query.openid;
  sessionStorage.setItem('openid', openid);
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  // 不带参数
  if (to.path == '/exchange/center/index') {
    if (!token) {
      next(`/login?path=${to.path}&&type=1`);
    } else {
      let user = jwt.decode(token);
      store.commit('setUser', user, { root: true });
      next();
    }
    // 带参数
    // } else if (to.path == '/finance/apply') {
    //   if (!token) {
    //     next(`/login?path=${to.fullPath}`);
    //   } else {
    //     let user = jwt.decode(token);
    //     store.commit('setUser', user, { root: true });
    //     next();
    //   }
    //   // 已登录
  } else {
    let user = jwt.decode(token);
    store.commit('setUser', user, { root: true });
    next();
  }
});

export default router;
